/**
 * @file
 * 'n1ed' plugin admin behavior.
 */

if (!window.n1edEcoControlPanelLoaded) {

    window.n1edEcoControlPanelLoaded = true;

    var elsInputs = document.querySelectorAll("[data-n1ed-eco-param-name]");
    if (elsInputs.length === 0) {
        console.error("No params found on page, unable to run N1ED ecosystem admin panel");
    } else {

        var elFieldSet = document.getElementById("editor-settings-wrapper");
        var elPlaceHolder = document.createElement("div");
        elFieldSet.parentElement.insertBefore(elPlaceHolder, elFieldSet);

        var pluginsStatus = {};
        var elsPluginsStatus = document.querySelectorAll("[data-n1ed-eco-plugin]");
        for (var i=0; i<elsPluginsStatus.length; i++) {
            var el = elsPluginsStatus.item(i);
            pluginsStatus[el.getAttribute("data-n1ed-eco-plugin")] = el.getAttribute("data-plugin-installed") === "true";
        }

        setTimeout(
            (function() {
                var _elPlaceHolder = elPlaceHolder;
                var _elsInputs = Array.prototype.slice.call(elsInputs);
                var _pluginsStatus = pluginsStatus;
                return function() {
                    window.N1EDConf.attachToMultipleInputs(_elPlaceHolder, _pluginsStatus, _elsInputs);
                }
            })(),
        1);
    }

    /*setTimeout(function() {
        var elsFormInfos = document.querySelectorAll("[data-n1ed-eco-plugin]");

        for (var i=0; i<elsFormInfos.length; i++) {
            var elDetails =  elsFormInfos.item(i).parentElement;
            elDetails.style.display = "none";

            /*let index = -1;
            let elsDetails = elDetails.parentElement.children;
            for (var n=0; n<elsDetails.length; n++)
                if (elsDetails.item(n) === elDetails)
                    index = n;

            if (index > -1) {
                let elTab = document.querySelectorAll("#editor-settings-wrapper .vertical-tabs__menu-item:nth-child(" + index + ")");
                if (elTab)
                    elTab.style.display = "none";
            }

        }
    }, 1);*/



}